Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163150 - request backport of fc transport class HBA port_id for dm-multipath
Summary: request backport of fc transport class HBA port_id for dm-multipath
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-07-13 14:53 UTC by James Bottomley
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-07 19:18:38 UTC


Attachments (Terms of Use)
add host port_id (deleted)
2005-09-29 23:20 UTC, Mike Christie
no flags Details | Diff
add host port_id (deleted)
2005-09-29 23:20 UTC, Mike Christie
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Description James Bottomley 2005-07-13 14:53:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
the current RHEL kernel contains an old version of the fc transport class.  The newer one (in kernel 2.6.13-rc3) has a host attribute called port_id which gives the WWN of the HBA.  This WWN is necessary to get fencing via reservations to work with dm-multipath in a cluster.

The request is that at least the port_id be added to the fc host attributes in the next feasible RHEL kernel (although a full backport of the current fc transport class would be nice since it's the one that supports the vanilla kernel emulex driver)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
try to fence a cluster running dm-multipath with reservations

Additional info:

Comment 3 Mike Christie 2005-09-29 23:16:40 UTC
I do not think we are going to be able to upgrade to the upstream class because
the LLD maintainers are happy where they are, we have some KABI issues, and the
dm-multipath devs will not be happy.

Comment 4 Mike Christie 2005-09-29 23:20:24 UTC
Created attachment 119447 [details]
add host port_id

We could try this patch. It backports the the shost port_id (lpfc actually has
this value on the scsi_host attrs today) and adds support for lpfc and qla2xxx.
The KABI police may have problems with it becuase of the fc_function_template
additions and we may have to fall back to just adding the port_id to qlogics
scsi host attrs. If this is ok with you jejb then I will send it off internally
to see if it passes the review.

Comment 5 Mike Christie 2005-09-29 23:20:38 UTC
Created attachment 119448 [details]
add host port_id

We could try this patch. It backports the the shost port_id (lpfc actually has
this value on the scsi_host attrs today) and adds support for lpfc and qla2xxx.
The KABI police may have problems with it becuase of the fc_function_template
additions and we may have to fall back to just adding the port_id to qlogics
scsi host attrs. If this patch is ok with jejb then I will send it off
internally to see if it passes the review.

Comment 10 Red Hat Bugzilla 2006-03-07 19:18:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html



Note You need to log in before you can comment on or make changes to this bug.